[arch-commits] Commit in gift-openft/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Tue Apr 7 02:43:24 EDT 2009


    Date: Tuesday, April 7, 2009 @ 02:43:24
  Author: eric
Revision: 34168

Merged revisions 13766,34164 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/gift-openft/trunk

........
  r13766 | allan | 2008-09-28 10:38:44 -0400 (Sun, 28 Sep 2008) | 1 line
  
  correct sourceforge url
........
  r34164 | eric | 2009-04-07 02:23:26 -0400 (Tue, 07 Apr 2009) | 2 lines
  
  upgpkg: gift-openft 0.2.1.6-8
      Added license
........

Modified:
  gift-openft/repos/extra-i686/	(properties)
  gift-openft/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)


Property changes on: gift-openft/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /gift-openft/trunk:1-4573
   + /gift-openft/trunk:1-34167

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-07 06:39:57 UTC (rev 34167)
+++ extra-i686/PKGBUILD	2009-04-07 06:43:24 UTC (rev 34168)
@@ -4,17 +4,18 @@
 
 pkgname=gift-openft
 pkgver=0.2.1.6
-pkgrel=7
+pkgrel=8
 pkgdesc="GiFT's OpenFT plugin"
 arch=(i686 x86_64)
+url="http://gift.sourceforge.net/"
+license=('GPL')
 depends=('gift' 'zlib' 'db>=4.7')
-url="http://gift.sourceforge.net/"
-source=(http://heanet.dl.sourceforge.net/sourceforge/gift/$pkgname-$pkgver.tar.bz2)
+source=(http://downloads.sourceforge.net/sourceforge/gift/$pkgname-$pkgver.tar.bz2)
 md5sums=('6661f01304246a29aeabda113691ca93')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR=$pkgdir install || return 1
 }



More information about the arch-commits mailing list